USB_BUFFER_DMASYNC_S(9)

NAME
usb_buffer_dmasync_sg - synchronize DMA and CPU view of scatterlist buffer(s)

SYNOPSIS

void usb_buffer_dmasync_sg(const struct usb_device * dev, int is_in, struct scatterlist * sg, int n_hw_ents);

ARGUMENTS

dev
    device to which the scatterlist will be mapped

is_in
    mapping transfer direction

sg
    the scatterlist to synchronize

n_hw_ents
    the positive return value from usb_buffer_map_sg

DESCRIPTION

Use this when you are re-using a scatterlist's data buffers for another USB request.

COPYRIGHT